# RLabKey CLI - Version 1.0.0

## Description
RLabKey CLI is a command-line interface designed for data managers to easily interact with the LabKey platform. It allows fetching, pushing, and managing datasets and files using the Rlabkey package.

## Installation
To install the CLI, run the following script:

```bash
bash install.sh
```

## Uninstallation
To uninstall the CLI, run:

```bash
bash uninstall.sh
```

## Usage
The CLI provides the following commands:

- **fetch**: Fetch files from a LabKey project folder.
  ```bash
  rlabkey fetch --project [PROJECT_NAME] --filter [PATTERN] --files [FILE1,FILE2,...]
  ```

- **push**: Push a data file as a dataset or assay.
  ```bash
  rlabkey push --project [PROJECT_NAME] --file [LOCAL_FILE_PATH] --target [TARGET_NAME] --assay/--dataset
  ```

- **status**: Check the status of existing files or datasets.
  ```bash
  rlabkey status --project [PROJECT_NAME]
  ```

- **init**: Create or update the configuration directory and file.
  ```bash
  rlabkey init
  ```

- **info**: Display project and dataset information.
  ```bash
  rlabkey info --project [PROJECT_NAME]
  ```

## Configuration
The CLI uses a configuration file located at `~/.rlabkey/config` to store essential paths and settings. The configuration file is automatically created upon the first use of the `init` command.

## Error Handling
The CLI includes comprehensive error handling, displaying informative messages when a command fails or is improperly used.

## License
MIT License
