% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/fetch.R
\name{check_path_exists}
\alias{check_path_exists}
\title{Check if a Path Exists on the Labkey Server}
\usage{
check_path_exists(folder_path, remote_file_path)
}
\arguments{
\item{folder_path}{A character string specifying the path to the project folder on the Labkey server.}

\item{remote_file_path}{(optional) A character string specifying the relative path of the file within the project folder.
Can be an empty string or NULL if checking the folder itself.}
}
\value{
A list containing the following elements:
\item{exists}{Logical, whether the specified path exists on the Labkey server.}
\item{url}{Character string, the base URL of the Labkey server (NULL if the path does not exist).}
\item{project}{Character string, the folder path of the project (NULL if the path does not exist).}
\item{filename}{Character string, the relative file path within the project (NULL if the path does not exist).}
}
\description{
This function verifies whether a specified file or directory exists on the Labkey server
using the WebDAV API. It returns a list containing the existence status and related information.
}
\details{
This function leverages the `labkey.webdav.pathExists` method to check whether the specified path exists
on the server. If the path exists, it returns metadata about the location; otherwise, it returns NULL values.
}
\examples{
check_path_exists("/myProject", "data/file.csv")  # Check if a specific file exists
check_path_exists("/myProject", ".")  # Check if the project folder exists
}
