% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/push.R
\name{create_and_upload_dataset}
\alias{create_and_upload_dataset}
\title{Create and Upload a Dataset to LabKey Server}
\usage{
create_and_upload_dataset(df, folder_path, schema_name, query_name)
}
\arguments{
\item{df}{A data frame containing the data to be uploaded.}

\item{folder_path}{A string specifying the project folder path on the LabKey server.}

\item{schema_name}{A string specifying the schema name (usually "study").}

\item{query_name}{A string specifying the name of the dataset on the server.}
}
\value{
None. Prints messages indicating the creation and upload status.
}
\description{
Creates a new domain on the LabKey server and uploads the given dataframe to it.
The function uses the "StudyDatasetVisit" domain kind and is suitable for uploading
structured data related to studies.
}
\details{
Uses Rlabkey API method `labkey.domain.createAndLoad` to create dataset and load dataframe into it.
}
\note{
WARNING : The dataframe passed as argument MUST contain the following columns : 'ParticipantId', 'SequenceNum'
}
