% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/fetch.R
\name{download_file}
\alias{download_file}
\title{Download a Specific File from the Labkey Server}
\usage{
download_file(folder_path, remote_file_path)
}
\arguments{
\item{folder_path}{A character string specifying the path to the project folder on the Labkey server.}

\item{remote_file_path}{A character string specifying the relative path of the file within the project folder.}
}
\value{
No return value. Downloads the specified file to the local system and prints a message indicating the download location.
}
\description{
This function downloads a specific file from the Labkey server to the local system.
The file is saved under the user's home directory, with the folder structure preserved.
}
\details{
The function uses the `labkey.webdav.get` method to download the specified file from the Labkey server.
The file is saved under the user's home directory in a subdirectory named `_webdav`, maintaining the folder structure.
If the `_webdav` directory does not exist, it will be created.
}
\examples{
download_file("/myProject", "data/file.csv")  # Downloads a specific file from the project folder on the Labkey server
}
