% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/fetch.R
\name{download_project}
\alias{download_project}
\title{Download an Entire Project from the Labkey Server}
\usage{
download_project(folder_path)
}
\arguments{
\item{folder_path}{A character string specifying the path to the project folder on the Labkey server.}
}
\value{
No return value. Downloads the entire project folder to the local system and prints a message indicating the download location.
}
\description{
This function downloads an entire project folder from the Labkey server to the local system.
The folder is saved under the user's home directory, and if the local directory does not exist, it will be created.
}
\details{
The function uses the `labkey.webdav.downloadFolder` method to download the project folder,
including all subdirectories and files. The folder is saved under the user's home directory, in a subdirectory named `_webdav`.
If the directory structure does not exist, it will be created.
}
\examples{
download_project("/myProject")  # Downloads the entire project folder from the Labkey server
}
