% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/fetch.R
\name{fetch_data}
\alias{fetch_data}
\title{Fetch files from Labkey Server}
\usage{
fetch_data(project_name, remote_file_path = NULL)
}
\arguments{
\item{project_name}{A character string specifying the name of the project to fetch (need to have access to the project).}

\item{remote_file_path}{(optional) A character string specifying the relative path of the file within the project.
If NULL, the entire project directory will be downloaded. Default is NULL.}
}
\value{
Prints a message indicating the type of data being fetched and the server details.
}
\description{
This function retrieves data from Labkey server, either as a directory or a specific file.
It first checks whether the specified path exists on the server, and if not, it stops execution with an error message.
If the path exists, it downloads the entire project folder or the specified file.
}
\details{
The function performs the following steps:
- Constructs the folder path using the project name `check_path_exists`.
- Checks if the specified file or directory exists on the configured server `check_path_exists`.
- If the path exists, prints a message and downloads the file or directory `download_project`, `download_file`.
- Stops with an error message if the path does not exist.
}
\examples{
fetch_data("myProject")  # Fetches the entire project directory
fetch_data("myProject", "data/file.csv")  # Fetches a specific file within the project
}
