% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/push.R
\name{push}
\alias{push}
\title{Push Data to LabKey Server}
\usage{
push(
  projectName,
  filePath,
  targetName,
  dirPath = NULL,
  isAssay = FALSE,
  isDataset = FALSE
)
}
\arguments{
\item{projectName}{A string specifying the project name.}

\item{filePath}{A string specifying the local path to the file to be uploaded.}

\item{targetName}{A string specifying the target name on the server.}

\item{dirPath}{(optional) string specifying the directory path (default is NULL).}

\item{isAssay}{A logical value indicating whether the data is an assay (default is FALSE).}

\item{isDataset}{A logical value indicating whether the data is a dataset (default is FALSE).}
}
\value{
None. Prints a message indicating success or an error.
}
\description{
Uploads data or directories to the LabKey server with specified project and target names.
The function ensures that input parameters are valid and either an assay or a dataset
is selected (but not both). In the case of invalid inputs, a detailed message is displayed.
}
\details{
This function verifies and validates inputs, and acts as a wrapper for the `upload_data` method.
}
