% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/push.R
\name{upload_data}
\alias{upload_data}
\title{Upload Data to LabKey Server}
\usage{
upload_data(project_name, file_path, target_name, is_assay, is_dataset)
}
\arguments{
\item{project_name}{A string specifying the project name on the LabKey server.}

\item{file_path}{A string specifying the local file path to the data file.}

\item{target_name}{A string specifying the target name on the server.}

\item{is_assay}{A logical value indicating whether the data is an assay.}

\item{is_dataset}{A logical value indicating whether the data is a dataset.}
}
\value{
None. Prints a message indicating success or failure.
}
\description{
Uploads a data file (CSV, TSV, XLSX, or XLS) to the LabKey server as either an assay or a dataset.
The function reads the file based on its extension and then uploads it using appropriate functions
depending on the type (assay or dataset).
}
\details{
This method is used to read the file with valid extension, and based on parameters upload data :
Assay : (Not supported in v1.0.0) using `upload_assay_data` method.
Dataset : usin `create_and_upload_dataset` method.
}
