test_that("push function handles correct inputs", {

  project_name <- "TestProject"
  file_path <- tempfile(fileext = ".csv")
  target_name <- "TestTarget"
  write.csv(data.frame(A = 1:3, B = 4:6), file_path)

  # Test for assay upload
  expect_message(push(project_name, file_path, target_name, isAssay = TRUE, isDataset = FALSE),
                 "Assay data uploaded successfully to project: TestProject")

  # Test for dataset upload
  # expect_message(push(project_name, file_path, target_name, isAssay = FALSE, isDataset = TRUE),
  #                "Dataset uploaded successfully to project: TestProject")

  # Test invalid input: both isAssay and isDataset are FALSE
  expect_message(push(project_name, file_path, target_name, isAssay = FALSE, isDataset = FALSE),
                 "Problem found in inputs.")

  # Test invalid input: missing file path
  expect_message(push(project_name, NULL, target_name, isAssay = TRUE, isDataset = FALSE),
                 "Problem found in inputs.")

  # Test invalid input: missing project name
  expect_message(push(NULL, file_path, target_name, isAssay = TRUE, isDataset = FALSE),
                 "Problem found in inputs.")

  # Test invalid input: missing target name
  expect_message(push(project_name, file_path, NULL, isAssay = TRUE, isDataset = FALSE),
                 "Problem found in inputs.")

  unlink(file_path)
})

test_that("push function handles incorrect file type", {
  # Invalid file extension (e.g., no extension)
  file_path <- tempfile()  # No extension
  expect_message(push("TestProject", file_path, "TestTarget", isAssay = TRUE, isDataset = FALSE),
               "Error during data upload: Unsupported file type: ")
})
